Skip site navigation (1)Skip section navigation (2)
Date:      Tue, 23 Apr 2013 08:26:48 +0000 (UTC)
From:      Erwin Lansing <erwin@FreeBSD.org>
To:        ports-committers@freebsd.org, svn-ports-all@freebsd.org, svn-ports-head@freebsd.org
Subject:   svn commit: r316321 - in head/dns: bind98 bind99
Message-ID:  <201304230826.r3N8QmMV025406@svn.freebsd.org>

next in thread | raw e-mail | index | archive | help
Author: erwin
Date: Tue Apr 23 08:26:48 2013
New Revision: 316321
URL: http://svnweb.freebsd.org/changeset/ports/316321

Log:
  Make pkg-message and pkg-install a local file to the bind98 and bind99
  ports and not include the one from the deprecated bind97 port, which is
  to be removed.

Added:
  head/dns/bind98/pkg-install
     - copied unchanged from r316317, head/dns/bind97/pkg-install
  head/dns/bind98/pkg-message
     - copied unchanged from r316317, head/dns/bind97/pkg-message
  head/dns/bind99/pkg-install
     - copied unchanged from r316317, head/dns/bind97/pkg-install
  head/dns/bind99/pkg-message
     - copied unchanged from r316317, head/dns/bind97/pkg-message
Modified:
  head/dns/bind98/Makefile
  head/dns/bind99/Makefile

Modified: head/dns/bind98/Makefile
==============================================================================
--- head/dns/bind98/Makefile	Tue Apr 23 08:14:18 2013	(r316320)
+++ head/dns/bind98/Makefile	Tue Apr 23 08:26:48 2013	(r316321)
@@ -221,8 +221,6 @@ post-patch:
 .if ${PORT_OPTIONS:MDOCS}
 PORTDOCS=	*
 .endif
-PKGMESSAGE=	${.CURDIR}/../bind97/pkg-message
-PKGINSTALL=	${.CURDIR}/../bind97/pkg-install
 post-install:
 	${INSTALL_DATA} ${WRKSRC}/bin/rndc/rndc.conf \
 		${BIND_DESTETC}/rndc.conf.sample

Copied: head/dns/bind98/pkg-install (from r316317, head/dns/bind97/pkg-install)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/dns/bind98/pkg-install	Tue Apr 23 08:26:48 2013	(r316321, copy of r316317, head/dns/bind97/pkg-install)
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+[ "$2" = 'POST-INSTALL' ] || exit 0
+
+/bin/mkdir -p /var/named${PKG_PREFIX}/etc
+
+for DIR in ${PKG_PREFIX}/etc /var/named${PKG_PREFIX}/etc; do
+	for FILE in named.conf rndc.key; do
+		/bin/ln -sf /etc/namedb/${FILE} ${DIR}/${FILE}
+	done
+done
+
+exit 0

Copied: head/dns/bind98/pkg-message (from r316317, head/dns/bind97/pkg-message)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/dns/bind98/pkg-message	Tue Apr 23 08:26:48 2013	(r316321, copy of r316317, head/dns/bind97/pkg-message)
@@ -0,0 +1,18 @@
+*************************************************************************
+*           _  _____ _____ _____ _   _ _____ ___ ___  _   _ 		*
+*	   / \|_   _|_   _| ____| \ | |_   _|_ _/ _ \| \ | |		*
+*	  / _ \ | |   | | |  _| |  \| | | |  | | | | |  \| |		*
+*	 / ___ \| |   | | | |___| |\  | | |  | | |_| | |\  |		*
+*	/_/   \_\_|   |_| |_____|_| \_| |_| |___\___/|_| \_|		*
+*									*
+*	If you are running BIND 9 in a chroot environment, make		*
+*	sure that there is a /dev/random device	in the chroot.		*
+*									*
+*	BIND 9 also requires configuration of rndc, including a		*
+*	"secret" key.  The easiest, and most secure way to configure	*
+*	rndc is to run 'rndc-confgen -a' to generate the proper	conf	*
+*	file, with a new random key, and appropriate file permissions.	*
+*									*
+*	The /etc/rc.d/named script in the base will do both for you.    *
+*									*
+*************************************************************************

Modified: head/dns/bind99/Makefile
==============================================================================
--- head/dns/bind99/Makefile	Tue Apr 23 08:14:18 2013	(r316320)
+++ head/dns/bind99/Makefile	Tue Apr 23 08:26:48 2013	(r316321)
@@ -223,8 +223,6 @@ post-patch:
 .if ${PORT_OPTIONS:MDOCS}
 PORTDOCS=	*
 .endif
-PKGMESSAGE=	${.CURDIR}/../bind97/pkg-message
-PKGINSTALL=	${.CURDIR}/../bind97/pkg-install
 post-install:
 	${INSTALL_DATA} ${WRKSRC}/bin/rndc/rndc.conf \
 		${BIND_DESTETC}/rndc.conf.sample

Copied: head/dns/bind99/pkg-install (from r316317, head/dns/bind97/pkg-install)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/dns/bind99/pkg-install	Tue Apr 23 08:26:48 2013	(r316321, copy of r316317, head/dns/bind97/pkg-install)
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+[ "$2" = 'POST-INSTALL' ] || exit 0
+
+/bin/mkdir -p /var/named${PKG_PREFIX}/etc
+
+for DIR in ${PKG_PREFIX}/etc /var/named${PKG_PREFIX}/etc; do
+	for FILE in named.conf rndc.key; do
+		/bin/ln -sf /etc/namedb/${FILE} ${DIR}/${FILE}
+	done
+done
+
+exit 0

Copied: head/dns/bind99/pkg-message (from r316317, head/dns/bind97/pkg-message)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/dns/bind99/pkg-message	Tue Apr 23 08:26:48 2013	(r316321, copy of r316317, head/dns/bind97/pkg-message)
@@ -0,0 +1,18 @@
+*************************************************************************
+*           _  _____ _____ _____ _   _ _____ ___ ___  _   _ 		*
+*	   / \|_   _|_   _| ____| \ | |_   _|_ _/ _ \| \ | |		*
+*	  / _ \ | |   | | |  _| |  \| | | |  | | | | |  \| |		*
+*	 / ___ \| |   | | | |___| |\  | | |  | | |_| | |\  |		*
+*	/_/   \_\_|   |_| |_____|_| \_| |_| |___\___/|_| \_|		*
+*									*
+*	If you are running BIND 9 in a chroot environment, make		*
+*	sure that there is a /dev/random device	in the chroot.		*
+*									*
+*	BIND 9 also requires configuration of rndc, including a		*
+*	"secret" key.  The easiest, and most secure way to configure	*
+*	rndc is to run 'rndc-confgen -a' to generate the proper	conf	*
+*	file, with a new random key, and appropriate file permissions.	*
+*									*
+*	The /etc/rc.d/named script in the base will do both for you.    *
+*									*
+*************************************************************************



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?201304230826.r3N8QmMV025406>